diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/network/utils/packetbb.h ns-3.44/src/network/utils/packetbb.h
--- ns-3.43/src/network/utils/packetbb.h	2024-10-09 16:41:10.072656600 -0700
+++ ns-3.44/src/network/utils/packetbb.h	2025-03-09 16:55:49.679372300 -0700
@@ -38,7 +38,7 @@
 };
 
 /**
- * \brief A block of packet or message TLVs (PbbTlv).
+ * @brief A block of packet or message TLVs (PbbTlv).
  *
  * Acts similar to a C++ STL container.  Should not be used for Address TLVs.
  */
@@ -54,105 +54,105 @@
     ~PbbTlvBlock();
 
     /**
-     * \return an iterator to the first TLV in this block.
+     * @return an iterator to the first TLV in this block.
      */
     Iterator Begin();
 
     /**
-     * \return a const iterator to the first TLV in this block.
+     * @return a const iterator to the first TLV in this block.
      */
     ConstIterator Begin() const;
 
     /**
-     * \return an iterator to the past-the-end element in this block.
+     * @return an iterator to the past-the-end element in this block.
      */
     Iterator End();
 
     /**
-     * \return a const iterator to the past-the-end element in this block.
+     * @return a const iterator to the past-the-end element in this block.
      */
     ConstIterator End() const;
 
     /**
-     * \return the number of TLVs in this block.
+     * @return the number of TLVs in this block.
      */
     int Size() const;
 
     /**
-     * \return true if there are no TLVs in this block, false otherwise.
+     * @return true if there are no TLVs in this block, false otherwise.
      */
     bool Empty() const;
 
     /**
-     * \return a smart pointer to the first TLV in this block.
+     * @return a smart pointer to the first TLV in this block.
      */
     Ptr<PbbTlv> Front() const;
 
     /**
-     * \return a smart pointer to the last TLV in this block.
+     * @return a smart pointer to the last TLV in this block.
      */
     Ptr<PbbTlv> Back() const;
 
     /**
-     * \brief Prepends a TLV to the front of this block.
-     * \param tlv a smart pointer to the TLV to prepend.
+     * @brief Prepends a TLV to the front of this block.
+     * @param tlv a smart pointer to the TLV to prepend.
      */
     void PushFront(Ptr<PbbTlv> tlv);
 
     /**
-     * \brief Removes a TLV from the front of this block.
+     * @brief Removes a TLV from the front of this block.
      */
     void PopFront();
 
     /**
-     * \brief Appends a TLV to the back of this block.
-     * \param tlv a smart pointer to the TLV to append.
+     * @brief Appends a TLV to the back of this block.
+     * @param tlv a smart pointer to the TLV to append.
      */
     void PushBack(Ptr<PbbTlv> tlv);
 
     /**
-     * \brief Removes a TLV from the back of this block.
+     * @brief Removes a TLV from the back of this block.
      */
     void PopBack();
 
     /**
-     * \brief Inserts a TLV at the specified position in this block.
-     * \param position an Iterator pointing to the position in this block to
+     * @brief Inserts a TLV at the specified position in this block.
+     * @param position an Iterator pointing to the position in this block to
      *        insert the TLV.
-     * \param tlv a smart pointer to the TLV to insert.
-     * \return An iterator pointing to the newly inserted TLV.
+     * @param tlv a smart pointer to the TLV to insert.
+     * @return An iterator pointing to the newly inserted TLV.
      */
     Iterator Insert(Iterator position, const Ptr<PbbTlv> tlv);
 
     /**
-     * \brief Removes the TLV at the specified position.
-     * \param position an Iterator pointing to the TLV to erase.
-     * \return an iterator pointing to the next TLV in the block.
+     * @brief Removes the TLV at the specified position.
+     * @param position an Iterator pointing to the TLV to erase.
+     * @return an iterator pointing to the next TLV in the block.
      */
     Iterator Erase(Iterator position);
 
     /**
-     * \brief Removes all TLVs from [first, last) (includes first, not includes
+     * @brief Removes all TLVs from [first, last) (includes first, not includes
      *        last).
-     * \param first an Iterator pointing to the first TLV to erase (inclusive).
-     * \param last an Iterator pointing to the element past the last TLV to erase.
-     * \return an iterator pointing to the next TLV in the block.
+     * @param first an Iterator pointing to the first TLV to erase (inclusive).
+     * @param last an Iterator pointing to the element past the last TLV to erase.
+     * @return an iterator pointing to the next TLV in the block.
      */
     Iterator Erase(Iterator first, Iterator last);
 
     /**
-     * \brief Removes all TLVs from this block.
+     * @brief Removes all TLVs from this block.
      */
     void Clear();
 
     /**
-     * \return The size (in bytes) needed to serialize this block.
+     * @return The size (in bytes) needed to serialize this block.
      */
     uint32_t GetSerializedSize() const;
 
     /**
-     * \brief Serializes this block into the specified buffer.
-     * \param start a reference to the point in a buffer to begin serializing.
+     * @brief Serializes this block into the specified buffer.
+     * @param start a reference to the point in a buffer to begin serializing.
      *
      * Users should not need to call this.  Blocks will be serialized by their
      * containing packet.
@@ -160,8 +160,8 @@
     void Serialize(Buffer::Iterator& start) const;
 
     /**
-     * \brief Deserializes a block from the specified buffer.
-     * \param start a reference to the point in a buffer to begin deserializing.
+     * @brief Deserializes a block from the specified buffer.
+     * @param start a reference to the point in a buffer to begin deserializing.
      *
      * Users should not need to call this.  Blocks will be deserialized by their
      * containing packet.
@@ -169,15 +169,15 @@
     void Deserialize(Buffer::Iterator& start);
 
     /**
-     * \brief Pretty-prints the contents of this block.
-     * \param os a stream object to print to.
+     * @brief Pretty-prints the contents of this block.
+     * @param os a stream object to print to.
      */
     void Print(std::ostream& os) const;
 
     /**
-     * \brief Pretty-prints the contents of this block, with specified indentation.
-     * \param os a stream object to print to.
-     * \param level level of indentation.
+     * @brief Pretty-prints the contents of this block, with specified indentation.
+     * @param os a stream object to print to.
+     * @param level level of indentation.
      *
      * This probably never needs to be called by users.  This is used when
      * recursively printing sub-objects.
@@ -185,15 +185,15 @@
     void Print(std::ostream& os, int level) const;
 
     /**
-     * \brief Equality operator for PbbTlvBlock
-     * \param other PbbTlvBlock to compare this one to
-     * \returns true if the blocks are equal
+     * @brief Equality operator for PbbTlvBlock
+     * @param other PbbTlvBlock to compare this one to
+     * @returns true if the blocks are equal
      */
     bool operator==(const PbbTlvBlock& other) const;
     /**
-     * \brief Inequality operator for PbbTlvBlock
-     * \param other PbbTlvBlock to compare this one to
-     * \returns true if the blocks are not equal
+     * @brief Inequality operator for PbbTlvBlock
+     * @param other PbbTlvBlock to compare this one to
+     * @returns true if the blocks are not equal
      */
     bool operator!=(const PbbTlvBlock& other) const;
 
@@ -202,7 +202,7 @@
 };
 
 /**
- * \brief A block of Address TLVs (PbbAddressTlv).
+ * @brief A block of Address TLVs (PbbAddressTlv).
  *
  * Acts similar to a C++ STL container.
  */
@@ -218,107 +218,107 @@
     ~PbbAddressTlvBlock();
 
     /**
-     * \return an iterator to the first Address TLV in this block.
+     * @return an iterator to the first Address TLV in this block.
      */
     Iterator Begin();
 
     /**
-     * \return a const iterator to the first Address TLV in this block.
+     * @return a const iterator to the first Address TLV in this block.
      */
     ConstIterator Begin() const;
 
     /**
-     * \return an iterator to the past-the-end element in this block.
+     * @return an iterator to the past-the-end element in this block.
      */
     Iterator End();
 
     /**
-     * \return a const iterator to the past-the-end element in this block.
+     * @return a const iterator to the past-the-end element in this block.
      */
     ConstIterator End() const;
 
     /**
-     * \return the number of Address TLVs in this block.
+     * @return the number of Address TLVs in this block.
      */
     int Size() const;
 
     /**
-     * \return true if there are no Address TLVs in this block, false otherwise.
+     * @return true if there are no Address TLVs in this block, false otherwise.
      */
     bool Empty() const;
 
     /**
-     * \return the first Address TLV in this block.
+     * @return the first Address TLV in this block.
      */
     Ptr<PbbAddressTlv> Front() const;
 
     /**
-     * \return the last AddressTLV in this block.
+     * @return the last AddressTLV in this block.
      */
     Ptr<PbbAddressTlv> Back() const;
 
     /**
-     * \brief Prepends an Address TLV to the front of this block.
-     * \param tlv a smart pointer to the Address TLV to prepend.
+     * @brief Prepends an Address TLV to the front of this block.
+     * @param tlv a smart pointer to the Address TLV to prepend.
      */
     void PushFront(Ptr<PbbAddressTlv> tlv);
 
     /**
-     * \brief Removes an AddressTLV from the front of this block.
+     * @brief Removes an AddressTLV from the front of this block.
      */
     void PopFront();
 
     /**
-     * \brief Appends an Address TLV to the back of this block.
-     * \param tlv a smart pointer to the Address TLV to append.
+     * @brief Appends an Address TLV to the back of this block.
+     * @param tlv a smart pointer to the Address TLV to append.
      */
     void PushBack(Ptr<PbbAddressTlv> tlv);
 
     /**
-     * \brief Removes an Address TLV from the back of this block.
+     * @brief Removes an Address TLV from the back of this block.
      */
     void PopBack();
 
     /**
-     * \brief Inserts an Address TLV at the specified position in this block.
-     * \param position an Iterator pointing to the position in this block to
+     * @brief Inserts an Address TLV at the specified position in this block.
+     * @param position an Iterator pointing to the position in this block to
      *        insert the Address TLV.
-     * \param tlv a smart pointer to the Address TLV to insert.
-     * \return An iterator pointing to the newly inserted Address TLV.
+     * @param tlv a smart pointer to the Address TLV to insert.
+     * @return An iterator pointing to the newly inserted Address TLV.
      */
     Iterator Insert(Iterator position, const Ptr<PbbAddressTlv> tlv);
 
     /**
-     * \brief Removes the Address TLV at the specified position.
-     * \param position an Iterator pointing to the Address TLV to erase.
-     * \return an iterator pointing to the next Address TLV in the block.
+     * @brief Removes the Address TLV at the specified position.
+     * @param position an Iterator pointing to the Address TLV to erase.
+     * @return an iterator pointing to the next Address TLV in the block.
      */
     Iterator Erase(Iterator position);
 
     /**
-     * \brief Removes all Address TLVs from [first, last) (includes first, not
+     * @brief Removes all Address TLVs from [first, last) (includes first, not
      *        includes last).
-     * \param first an Iterator pointing to the first Address TLV to erase
+     * @param first an Iterator pointing to the first Address TLV to erase
      *        (inclusive).
-     * \param last an Iterator pointing to the element past the last Address TLV
+     * @param last an Iterator pointing to the element past the last Address TLV
      *        to erase.
-     * \return an iterator pointing to the next Address TLV in the block.
+     * @return an iterator pointing to the next Address TLV in the block.
      */
     Iterator Erase(Iterator first, Iterator last);
 
     /**
-     * \brief Removes all Address TLVs from this block.
+     * @brief Removes all Address TLVs from this block.
      */
     void Clear();
 
     /**
-     * \return The size (in bytes) needed to serialize this block.
+     * @return The size (in bytes) needed to serialize this block.
      */
     uint32_t GetSerializedSize() const;
 
     /**
-     * \brief Serializes this block into the specified buffer.
-     * \param start a reference to the point in a buffer to begin serializing.
+     * @brief Serializes this block into the specified buffer.
+     * @param start a reference to the point in a buffer to begin serializing.
      *
      * Users should not need to call this.  Blocks will be serialized by their
      * containing packet.
@@ -326,8 +326,8 @@
     void Serialize(Buffer::Iterator& start) const;
 
     /**
-     * \brief Deserializes a block from the specified buffer.
-     * \param start a reference to the point in a buffer to begin deserializing.
+     * @brief Deserializes a block from the specified buffer.
+     * @param start a reference to the point in a buffer to begin deserializing.
      *
      * Users should not need to call this.  Blocks will be deserialized by their
      * containing packet.
@@ -335,15 +335,15 @@
     void Deserialize(Buffer::Iterator& start);
 
     /**
-     * \brief Pretty-prints the contents of this block.
-     * \param os a stream object to print to.
+     * @brief Pretty-prints the contents of this block.
+     * @param os a stream object to print to.
      */
     void Print(std::ostream& os) const;
 
     /**
-     * \brief Pretty-prints the contents of this block, with specified indentation.
-     * \param os a stream object to print to.
-     * \param level level of indentation.
+     * @brief Pretty-prints the contents of this block, with specified indentation.
+     * @param os a stream object to print to.
+     * @param level level of indentation.
      *
      * This probably never needs to be called by users.  This is used when
      * recursively printing sub-objects.
@@ -351,16 +351,16 @@
     void Print(std::ostream& os, int level) const;
 
     /**
-     * \brief Equality operator for PbbAddressTlvBlock
-     * \param other PbbAddressTlvBlock to compare to this one
-     * \returns true if PbbAddressTlvBlock are equal
+     * @brief Equality operator for PbbAddressTlvBlock
+     * @param other PbbAddressTlvBlock to compare to this one
+     * @returns true if PbbAddressTlvBlock are equal
      */
     bool operator==(const PbbAddressTlvBlock& other) const;
 
     /**
-     * \brief Inequality operator for PbbAddressTlvBlock
-     * \param other PbbAddressTlvBlock to compare to this one
-     * \returns true if PbbAddressTlvBlock are not equal
+     * @brief Inequality operator for PbbAddressTlvBlock
+     * @param other PbbAddressTlvBlock to compare to this one
+     * @returns true if PbbAddressTlvBlock are not equal
      */
     bool operator!=(const PbbAddressTlvBlock& other) const;
 
@@ -369,7 +369,7 @@
 };
 
 /**
- * \brief Main PacketBB Packet object.
+ * @brief Main PacketBB Packet object.
  *
  * A PacketBB packet is made up of zero or more packet TLVs (PbbTlv), and zero
  * or more messages (PbbMessage).
@@ -392,20 +392,20 @@
     ~PbbPacket() override;
 
     /**
-     * \return the version of PacketBB that constructed this packet.
+     * @return the version of PacketBB that constructed this packet.
      *
      * This will always return 0 for packets constructed using this API.
      */
     uint8_t GetVersion() const;
 
     /**
-     * \brief Sets the sequence number of this packet.
-     * \param number the sequence number.
+     * @brief Sets the sequence number of this packet.
+     * @param number the sequence number.
      */
     void SetSequenceNumber(uint16_t number);
 
     /**
-     * \return the sequence number of this packet.
+     * @return the sequence number of this packet.
      *
      * Calling this while HasSequenceNumber is False is undefined.  Make sure you
      * check it first.  This will be checked by an assert in debug builds.
@@ -413,8 +413,8 @@
     uint16_t GetSequenceNumber() const;
 
     /**
-     * \brief Tests whether or not this packet has a sequence number.
-     * \return true if this packet has a sequence number, false otherwise.
+     * @brief Tests whether or not this packet has a sequence number.
+     * @return true if this packet has a sequence number, false otherwise.
      *
      * This should be called before calling GetSequenceNumber to make sure there
      * actually is one.
@@ -422,232 +422,232 @@
     bool HasSequenceNumber() const;
 
     /**
-     * \brief Forces a packet to write a TLV list even if it's empty, ignoring
+     * @brief Forces a packet to write a TLV list even if it's empty, ignoring
      * the phastlv bit.
      *
      * This is mainly used to check the Deserialization of a questionable
      * but correct packet (see test 3).
      *
-     * \param forceTlv true will force TLV to be written even if no TLV is set.
+     * @param forceTlv true will force TLV to be written even if no TLV is set.
      */
     void ForceTlv(bool forceTlv);
 
     /* Manipulating Packet TLVs */
 
     /**
-     * \return an iterator to the first Packet TLV in this packet.
+     * @return an iterator to the first Packet TLV in this packet.
      */
     TlvIterator TlvBegin();
 
     /**
-     * \return a const iterator to the first Packet TLV in this packet.
+     * @return a const iterator to the first Packet TLV in this packet.
      */
     ConstTlvIterator TlvBegin() const;
 
     /**
-     * \return an iterator to the past-the-end element in this packet TLV block.
+     * @return an iterator to the past-the-end element in this packet TLV block.
      */
     TlvIterator TlvEnd();
 
     /**
-     * \return a const iterator to the past-the-end element in this packet TLV
+     * @return a const iterator to the past-the-end element in this packet TLV
      *         block.
      */
     ConstTlvIterator TlvEnd() const;
 
     /**
-     * \return the number of packet TLVs in this packet.
+     * @return the number of packet TLVs in this packet.
      */
     int TlvSize() const;
 
     /**
-     * \return true if there are no packet TLVs in this packet, false otherwise.
+     * @return true if there are no packet TLVs in this packet, false otherwise.
      */
     bool TlvEmpty() const;
 
     /**
-     * \return a smart pointer to the first packet TLV in this packet.
+     * @return a smart pointer to the first packet TLV in this packet.
      */
     Ptr<PbbTlv> TlvFront();
 
     /**
-     * \return a const smart pointer to the first packet TLV in this packet.
+     * @return a const smart pointer to the first packet TLV in this packet.
      */
     const Ptr<PbbTlv> TlvFront() const;
 
     /**
-     * \return a smart pointer to the last packet TLV in this packet.
+     * @return a smart pointer to the last packet TLV in this packet.
      */
     Ptr<PbbTlv> TlvBack();
 
     /**
-     * \return a const smart pointer to the last packet TLV in this packet.
+     * @return a const smart pointer to the last packet TLV in this packet.
      */
     const Ptr<PbbTlv> TlvBack() const;
 
     /**
-     * \brief Prepends a packet TLV to the front of this packet.
-     * \param tlv a smart pointer to the packet TLV to prepend.
+     * @brief Prepends a packet TLV to the front of this packet.
+     * @param tlv a smart pointer to the packet TLV to prepend.
      */
     void TlvPushFront(Ptr<PbbTlv> tlv);
 
     /**
-     * \brief Removes a packet TLV from the front of this packet.
+     * @brief Removes a packet TLV from the front of this packet.
      */
     void TlvPopFront();
 
     /**
-     * \brief Appends a packet TLV to the back of this packet.
-     * \param tlv a smart pointer to the packet TLV to append.
+     * @brief Appends a packet TLV to the back of this packet.
+     * @param tlv a smart pointer to the packet TLV to append.
      */
     void TlvPushBack(Ptr<PbbTlv> tlv);
 
     /**
-     * \brief Removes a packet TLV from the back of this block.
+     * @brief Removes a packet TLV from the back of this block.
      */
     void TlvPopBack();
 
     /**
-     * \brief Removes the packet TLV at the specified position.
-     * \param position an Iterator pointing to the packet TLV to erase.
-     * \return an iterator pointing to the next packet TLV in the block.
+     * @brief Removes the packet TLV at the specified position.
+     * @param position an Iterator pointing to the packet TLV to erase.
+     * @return an iterator pointing to the next packet TLV in the block.
      */
     TlvIterator Erase(TlvIterator position);
 
     /**
-     * \brief Removes all packet TLVs from [first, last) (includes first, not
+     * @brief Removes all packet TLVs from [first, last) (includes first, not
      *        includes last).
-     * \param first an Iterator pointing to the first packet TLV to erase
+     * @param first an Iterator pointing to the first packet TLV to erase
      *        (inclusive).
-     * \param last an Iterator pointing to the element past the last packet TLV
+     * @param last an Iterator pointing to the element past the last packet TLV
      *        to erase.
-     * \return an iterator pointing to the next packet TLV in the block.
+     * @return an iterator pointing to the next packet TLV in the block.
      */
     TlvIterator Erase(TlvIterator first, TlvIterator last);
 
     /**
-     * \brief Removes all packet TLVs from this packet.
+     * @brief Removes all packet TLVs from this packet.
      */
     void TlvClear();
 
     /* Manipulating Packet Messages */
 
     /**
-     * \return an iterator to the first message in this packet.
+     * @return an iterator to the first message in this packet.
      */
     MessageIterator MessageBegin();
 
     /**
-     * \return a const iterator to the first message in this packet.
+     * @return a const iterator to the first message in this packet.
      */
     ConstMessageIterator MessageBegin() const;
 
     /**
-     * \return an iterator to the past-the-end element in this message block.
+     * @return an iterator to the past-the-end element in this message block.
      */
     MessageIterator MessageEnd();
 
     /**
-     * \return a const iterator to the past-the-end element in this message
+     * @return a const iterator to the past-the-end element in this message
      *         block.
      */
     ConstMessageIterator MessageEnd() const;
 
     /**
-     * \return the number of messages in this packet.
+     * @return the number of messages in this packet.
      */
     int MessageSize() const;
 
     /**
-     * \return true if there are no messages in this packet, false otherwise.
+     * @return true if there are no messages in this packet, false otherwise.
      */
     bool MessageEmpty() const;
 
     /**
-     * \return a smart pointer to the first message in this packet.
+     * @return a smart pointer to the first message in this packet.
      */
     Ptr<PbbMessage> MessageFront();
 
     /**
-     * \return a const smart pointer to the first message in this packet.
+     * @return a const smart pointer to the first message in this packet.
      */
     const Ptr<PbbMessage> MessageFront() const;
 
     /**
-     * \return a smart pointer to the last message in this packet.
+     * @return a smart pointer to the last message in this packet.
      */
     Ptr<PbbMessage> MessageBack();
 
     /**
-     * \return a const smart pointer to the last message in this packet.
+     * @return a const smart pointer to the last message in this packet.
      */
     const Ptr<PbbMessage> MessageBack() const;
 
     /**
-     * \brief Prepends a message to the front of this packet.
-     * \param message a smart pointer to the message to prepend.
+     * @brief Prepends a message to the front of this packet.
+     * @param message a smart pointer to the message to prepend.
      */
     void MessagePushFront(Ptr<PbbMessage> message);
 
     /**
-     * \brief Removes a message from the front of this packet.
+     * @brief Removes a message from the front of this packet.
      */
     void MessagePopFront();
 
     /**
-     * \brief Appends a message to the back of this packet.
-     * \param message a smart pointer to the message to append.
+     * @brief Appends a message to the back of this packet.
+     * @param message a smart pointer to the message to append.
      */
     void MessagePushBack(Ptr<PbbMessage> message);
 
     /**
-     * \brief Removes a message from the back of this packet.
+     * @brief Removes a message from the back of this packet.
      */
     void MessagePopBack();
 
     /**
-     * \brief Removes the message at the specified position.
-     * \param position an Iterator pointing to the message to erase.
-     * \return an iterator pointing to the next message in the packet.
+     * @brief Removes the message at the specified position.
+     * @param position an Iterator pointing to the message to erase.
+     * @return an iterator pointing to the next message in the packet.
      */
     MessageIterator Erase(MessageIterator position);
 
     /**
-     * \brief Removes all messages from [first, last) (includes first, not
+     * @brief Removes all messages from [first, last) (includes first, not
      *        includes last).
-     * \param first an Iterator pointing to the first message to erase (inclusive).
-     * \param last an Iterator pointing to the element past the last message to erase.
-     * \return an iterator pointing to the next message in the block.
+     * @param first an Iterator pointing to the first message to erase (inclusive).
+     * @param last an Iterator pointing to the element past the last message to erase.
+     * @return an iterator pointing to the next message in the block.
      */
     MessageIterator Erase(MessageIterator first, MessageIterator last);
 
     /**
-     * \brief Removes all messages from this packet.
+     * @brief Removes all messages from this packet.
      */
     void MessageClear();
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
 
     /**
-     * \return The size (in bytes) needed to serialize this packet.
+     * @return The size (in bytes) needed to serialize this packet.
      */
     uint32_t GetSerializedSize() const override;
 
     /**
-     * \brief Serializes this packet into the specified buffer.
-     * \param start a reference to the point in a buffer to begin serializing.
+     * @brief Serializes this packet into the specified buffer.
+     * @param start a reference to the point in a buffer to begin serializing.
      */
     void Serialize(Buffer::Iterator start) const override;
 
     /**
-     * \brief Deserializes a packet from the specified buffer.
-     * \param start start offset
-     * \return the number of bytes deserialized
+     * @brief Deserializes a packet from the specified buffer.
+     * @param start start offset
+     * @return the number of bytes deserialized
      *
      * If this returns a number smaller than the total number of bytes in the
      * buffer, there was an error.
@@ -655,22 +655,22 @@
     uint32_t Deserialize(Buffer::Iterator start) override;
 
     /**
-     * \brief Pretty-prints the contents of this block.
-     * \param os a stream object to print to.
+     * @brief Pretty-prints the contents of this block.
+     * @param os a stream object to print to.
      */
     void Print(std::ostream& os) const override;
 
     /**
-     * \brief Equality operator for PbbPacket
-     * \param other PbbPacket to compare to this one
-     * \returns true if PbbPacket are equal
+     * @brief Equality operator for PbbPacket
+     * @param other PbbPacket to compare to this one
+     * @returns true if PbbPacket are equal
      */
     bool operator==(const PbbPacket& other) const;
 
     /**
-     * \brief Inequality operator for PbbPacket
-     * \param other PbbPacket to compare to this one
-     * \returns true if PbbPacket are not equal
+     * @brief Inequality operator for PbbPacket
+     * @param other PbbPacket to compare to this one
+     * @returns true if PbbPacket are not equal
      */
     bool operator!=(const PbbPacket& other) const;
 
@@ -687,7 +687,7 @@
 };
 
 /**
- * \brief A message within a PbbPacket packet.
+ * @brief A message within a PbbPacket packet.
  *
  * There may be any number of messages in one packet packet.  This is a pure
  * virtual base class, when creating a message, you should instantiate either
@@ -709,24 +709,24 @@
     virtual ~PbbMessage();
 
     /**
-     * \brief Sets the type for this message.
-     * \param type the type to set.
+     * @brief Sets the type for this message.
+     * @param type the type to set.
      */
     void SetType(uint8_t type);
 
     /**
-     * \return the type assigned to this packet
+     * @return the type assigned to this packet
      */
     uint8_t GetType() const;
 
     /**
-     * \brief Sets the address for the node that created this packet.
-     * \param address the originator address.
+     * @brief Sets the address for the node that created this packet.
+     * @param address the originator address.
      */
     void SetOriginatorAddress(Address address);
 
     /**
-     * \return the address of the node that created this packet.
+     * @return the address of the node that created this packet.
      *
      * Calling this while HasOriginatorAddress is False is undefined.  Make sure
      * you check it first.  This will be checked by an assert in debug builds.
@@ -734,19 +734,19 @@
     Address GetOriginatorAddress() const;
 
     /**
-     * \brief Tests whether or not this message has an originator address.
-     * \return true if this message has an originator address, false otherwise.
+     * @brief Tests whether or not this message has an originator address.
+     * @return true if this message has an originator address, false otherwise.
      */
     bool HasOriginatorAddress() const;
 
     /**
-     * \brief Sets the maximum number of hops this message should travel
-     * \param hoplimit the limit to set
+     * @brief Sets the maximum number of hops this message should travel
+     * @param hoplimit the limit to set
      */
     void SetHopLimit(uint8_t hoplimit);
 
     /**
-     * \return the maximum number of hops this message should travel.
+     * @return the maximum number of hops this message should travel.
      *
      * Calling this while HasHopLimit is False is undefined.  Make sure you check
      * it first.  This will be checked by an assert in debug builds.
